---
title: "Retrieve variants of a decision model"
slug: "retrieve-variants-of-a-decision-model"
abstract: "Describes how to retrieve variants using the Sitecore Personalize Decision model REST API."
---
# Retrieve variants of a decision model

`GET /v2/decisionModelDefinitions/<decisionModelRef>/variants`

Retrieves all variants of a decision model.

| Attribute | Type | Description | Example |
| --- | --- | --- | --- |
| `decisionModelRef` | string | The reference of the decision model.<br><br>If you do not know the decision model reference, first [retrieve decision models](https://doc.sitecore.com/personalize/en/developers/api/rest-apis/decision-model-rest-api/retrieve-decision-models.html). | `865ce079-6012-4f97-bc46-07215691a178` |

In the response, the `ref` key contains the decision model variant reference.

```curl
curl -X GET '<baseURL>/v2/decisionModelDefinitions/db6ee91d-bc02-4e83-8621-a17aee09814d/variants' \
-H 'Authorization: Bearer <accessToken>' \
-H 'Accept: application/json'

```

```json
{
   "href":"<baseURL>/v2/decisionModelDefinitions/db6ee91d-bc02-4e83-8621-a17aee09814d/variants",
   "items":[
      {
         "clientKey":"pqsPERS3lw12v5a9rrHPW1c4hET73GxQ",
         "href":"<baseURL>/v2/decisionModelVariants/2e5c1db3-7ed5-420a-a50a-0fa46067906a",
         "ref":"2e5c1db3-7ed5-420a-a50a-0fa46067906a",
         "name":"promoting upgrades",
         "modifiedByUserRef":"25f46901-bc51-45e8-b587-148aecf1e48f",
         "modifiedAt":"2026-09-20T16:`54:23`.589Z",
         "revision":3,
         "archived":false,
         "decisionModelDefinitionRef":"db6ee91d-bc02-4e83-8621-a17aee09814d",
         "definition":"<definitions xmlns=\"http://www.omg.org/spec/DMN/20151101/dmn.xsd\" id=\"definitions\" name=\"definitions\" namespace=\"http://camunda.org/schema/1.0/dmn\" />",
         "revisions":{
            "href":"<baseURL>/v2/decisionModelVariants/2e5c1db3-7ed5-420a-a50a-0fa46067906a/revisions"
         },
         "inProduction":true
      },
      {
         "clientKey":"pqsPERS3lw12v5a9rrHPW1c4hET73GxQ",
         "href":"<baseURL>/v2/decisionModelVariants/38f0a6a2-c7c6-4fa5-bb53-06469dc8e133",
         "ref":"38f0a6a2-c7c6-4fa5-bb53-06469dc8e133",
         "name":"20% discount",
         "modifiedByUserRef":"25f46901-bc51-45e8-b587-148aecf1e48f",
         "modifiedAt":"2026-09-20T16:`54:15`.450Z",
         "revision":4,
         "archived":false,
         "decisionModelDefinitionRef":"db6ee91d-bc02-4e83-8621-a17aee09814d",
         "definition":"<definitions xmlns=\"http://www.omg.org/spec/DMN/20151101/dmn.xsd\" id=\"definitions\" name=\"definitions\" namespace=\"http://camunda.org/schema/1.0/dmn\" />",
         "revisions":{
            "href":"<baseURL>/v2/decisionModelVariants/38f0a6a2-c7c6-4fa5-bb53-06469dc8e133/revisions"
         },
         "inProduction":true
      },
      {
         "clientKey":"pqsPERS3lw12v5a9rrHPW1c4hET73GxQ",
         "href":"<baseURL>/v2/decisionModelVariants/cdc15d08-433f-4698-b76b-04adfe11be4b",
         "ref":"cdc15d08-433f-4698-b76b-04adfe11be4b",
         "name":"promoting tours",
         "modifiedByUserRef":"25f46901-bc51-45e8-b587-148aecf1e48f",
         "modifiedAt":"2026-09-20T16:`54:51`.291Z",
         "revision":4,
         "archived":false,
         "decisionModelDefinitionRef":"db6ee91d-bc02-4e83-8621-a17aee09814d",
         "definition":"<definitions xmlns=\"http://www.omg.org/spec/DMN/20151101/dmn.xsd\" id=\"definitions\" name=\"definitions\" namespace=\"http://camunda.org/schema/1.0/dmn\" />",
         "revisions":{
            "href":"<baseURL>/v2/decisionModelVariants/cdc15d08-433f-4698-b76b-04adfe11be4b/revisions"
         },
         "inProduction":true
      },
      {
         "clientKey":"pqsPERS3lw12v5a9rrHPW1c4hET73GxQ",
         "href":"<baseURL>/v2/decisionModelVariants/2a18c317-cd98-4866-b2a8-b36239a3e8bc",
         "ref":"2a18c317-cd98-4866-b2a8-b36239a3e8bc",
         "name":"15% discount",
         "modifiedByUserRef":"25f46901-bc51-45e8-b587-148aecf1e48f",
         "modifiedAt":"2026-09-20T16:`53:59`.720Z",
         "revision":7,
         "archived":false,
         "decisionModelDefinitionRef":"db6ee91d-bc02-4e83-8621-a17aee09814d",
         "definition":"<definitions xmlns=\"http://www.omg.org/spec/DMN/20151101/dmn.xsd\" id=\"definitions\" name=\"definitions\" namespace=\"http://camunda.org/schema/1.0/dmn\" />",
         "revisions":{
            "href":"<baseURL>/v2/decisionModelVariants/2a18c317-cd98-4866-b2a8-b36239a3e8bc/revisions"
         },
         "inProduction":true
      }
   ]
}

```